#include "lpc214x.h"
#include "rtc.h"

void init_rtc(void)
{
  CCR  = 0;													// Reset All Bit Control
  CCR |= 0x00000010; 										// CLKSRC = 1 = Used EXT 32.768 KHz
  CCR |= 0x00000002; 										// Reset   Clock
  CCR &= 0xFFFFFFFD;										// Release Reset
  CCR |= 0x00000001;										// Start RTC Clock	
}
void get_rtc_time(unsigned char *Hour,unsigned char *Minute, unsigned char *Second)
{
 	  *Hour   = (unsigned char)((CTIME0 & MASKHR)>>16);						// Read Hour
	  *Minute = (unsigned char)((CTIME0 & MASKMIN)>>8);		 				// Read Minute
	  *Second = (unsigned char) (CTIME0 & MASKSEC);		  					// Read Second
}
