/*****************************************************************************
 *   type.h:  Type definition Header file for Philips LPC214x Family 
 *   Microprocessors
 *
 *   Copyright(C) 2006, Philips Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2005.10.01  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TYPE_H__
#define __TYPE_H__

#ifndef NULL
#define NULL    ((void *)0)
#endif

#ifndef FALSE
#define FALSE   (0)
#endif

#ifndef TRUE
#define TRUE    (1)
#endif

typedef  unsigned char  BYTE;
typedef unsigned char  UB;
typedef unsigned short WORD;
typedef unsigned short UH;
typedef signed short SH;
typedef unsigned long  DWORD;
typedef unsigned long  UL;
typedef signed long	   SL;
typedef unsigned long  UW;
typedef signed long	   SW;
typedef unsigned int   BOOL;
typedef struct FILTER4_ST
{
 int node1;
 int node2;
 int node3;
 int node4;
 int node5;
}filter4_st;

#endif  /* __TYPE_H__ */
