//============================================================================
//  TLV2543.h                   Allen Marincak              Ver 1.0   Mar 2009
//
//      Header file for the TLV2543 Driver and API .
//
//  Copyright (c) 2009, Allen Marincak       See end of file for terms of use.
//============================================================================

void            TLV2543_init    ( char p_eoc, char p_clk, char p_din, char p_dout, char p_cs );
unsigned long   TLV2543_start   ( char p_eoc, char p_clk, char p_din, char p_dout, char p_cs );
void            TLV2543_stop    ( void );
unsigned short  TLV2543_getchan ( char p_ch );
unsigned short  TLV2543_sample  ( char p_ch );

//============================================================================
//                        TERMS OF USE: MIT License                                                       
//============================================================================
// Permission is hereby granted, free of charge, to any person obtaining a 
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
//                                       
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//============================================================================
