	.area text(rom,rel)
	.dbfile ..\..\..\..\..\..\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Graphics\GraphicsTest.c
	.area data(ram,rel)
	.dbfile ..\..\..\..\..\..\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Graphics\GraphicsTest.c
	.align	2
_vecdef::
	.word 16384
	.word 50
	.word 35499
	.word 50
	.word 38227
	.word 50
	.word 32768
	.word 50
	.word 0
	.dbfile C:\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Graphics\GraphicsTest.c
	.dbsym e vecdef _vecdef A[18:9]s
	.align	2
_vecdef2::
	.word 16384
	.word 50
	.word 33450
	.word 20
	.word 34132
	.word 50
	.word 34814
	.word 20
	.word 35496
	.word 50
	.word 36178
	.word 20
	.word 36860
	.word 50
	.word 37542
	.word 20
	.word 38224
	.word 50
	.word 38906
	.word 20
	.word 39588
	.word 50
	.word 40270
	.word 20
	.word 32768
	.word 50
	.word 0
	.dbsym e vecdef2 _vecdef2 A[54:27]s
	.align	2
_pixdef::
	.word 1794
	.word 0
	.word 4032
	.word 0
	.word 12848
	.word 0
	.word 49676
	.word 0
	.word 60076
	.word 0
	.word 49676
	.word 8192
	.word 12848
	.word 43008
	.word 4032
	.word 8192
	.dbsym e pixdef _pixdef A[32:16]s
	.align	2
_pixdef2::
	.word 1025
	.word 3
	.word 32778
	.word 10922
	.word 10912
	.word 8224
	.dbsym e pixdef2 _pixdef2 A[12:6]s
	.area text(rom,rel)
	.dbfile C:\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Graphics\GraphicsTest.c
	.dbfunc s tvstart _tvstart fI
	.dbstruct 0 56 TV_struct
	.dbfield 0 status L
	.dbfield 4 enable L
	.dbfield 8 pins L
	.dbfield 12 mode L
	.dbfield 16 screen L
	.dbfield 20 colors L
	.dbfield 24 ht L
	.dbfield 28 vt L
	.dbfield 32 hx L
	.dbfield 36 vx L
	.dbfield 40 ho L
	.dbfield 44 vo L
	.dbfield 48 broadcast L
	.dbfield 52 auralcog L
	.dbend
;            cog -> R6
;              n -> R7
;             dx -> R5
;             tp -> R4
;             dy -> R7
;            pin -> R6
_tvstart:
	@FENTER	
	.long R4,R5,R6,R7,R12,R13,R14,R15,0	
	mov R6,R0	
	.dbline -1
	.dbline 115
; /**
;  * @file GraphicsTest.c
;  * Graphics test application
;  * Copyright (c) 2009, Steve Denson
;  * See end of file for MIT license terms.
;  */
; #include <stdio.h>
; #include <stdlib.h>
; #include <string.h>
; #include <propeller.h>
; 
; #include "tv.h"
; #include "Graphics.h"
; 
; #define X_TILES         8 //16
; #define Y_TILES         9 //12
; #define X_EXPANSION     16 //10
; 
; #define X_ORIGIN        64 // 128
; #define Y_ORIGIN        72 // 96
; 
; #define MAX_COLORS      64
; 
; #define LINES           4
; #define THICKNESS       2
; 
; /*
;  * TV and Display control variables
;  */
; TV_t  gTV;
; 
; short gScreen[X_TILES * Y_TILES];
; long  gColors[MAX_COLORS];
; 
; long  gDisplay[(X_TILES * Y_TILES << 4)+128];
; long  gBitmap [(X_TILES * Y_TILES << 4)+128];
; 
; #define BITMAP_BASE (((int)gBitmap +256) & ~127)    // page align
; #define DISPLY_BASE (((int)gDisplay+256) & ~127)
; 
; /*
;  * demo lines and sprites
;  */
; char xa[LINES];
; char ya[LINES];
; char xsa[LINES];
; char ysa[LINES];
; 
; 
; /*
;  * triangle
;  */
; gr_uint16_t vecdef[] =
; {
;     0x4000+0x2000/3*0,      50,
;     0x8000+0x2000/3*1+1,    50,
;     0x8000+0x2000/3*2-1,    50,
;     0x8000+0x2000/3*0,      50,
;     0
; };
; 
; /*
;  * star
;  */
; gr_uint16_t vecdef2[] =
; {
;     0x4000+0x2000/12*0,    50,
;     0x8000+0x2000/12*1,    20,
;     0x8000+0x2000/12*2,    50,
;     0x8000+0x2000/12*3,    20,
;     0x8000+0x2000/12*4,    50,
;     0x8000+0x2000/12*5,    20,
;     0x8000+0x2000/12*6,    50,
;     0x8000+0x2000/12*7,    20,
;     0x8000+0x2000/12*8,    50,
;     0x8000+0x2000/12*9,    20,
;     0x8000+0x2000/12*10,   50,
;     0x8000+0x2000/12*11,   20,
;     0x8000+0x2000/12*0,    50,
;     0
; };
; 
; /*
;  * crosshair
;  */
; gr_uint16_t pixdef[] =
; {
;     0x0702, 0x0000,     //byte    2,7,3,3  endianness ?
;     0x0fc0, 0x0000,     //word    %%00333000,%%00000000
;     0x3230, 0x0000,     //word    %%03020300,%%00000000
;     0xc20c, 0x0000,     //word    %%30020030,%%00000000
;     0xeaac, 0x0000,     //word    %%32222230,%%00000000
;     0xc20c, 0x2000,     //word    %%30020030,%%02000000
;     0x3230, 0xa800,     //word    %%03020300,%%22200000
;     0x0fc0, 0x2000      //word    %%00333000,%%02000000
; };
; 
; /*
;  * dog
;  */
; gr_uint16_t pixdef2[] =
; {
;     0x0401,
;     0x0003,             //byte    1,4,0,3
;     0x800a,             //word    %%20000022
;     0x2aaa,             //word    %%02222222
;     0x2aa0,             //word    %%02222200
;     0x2020              //word    %%02000200
; };
; 
; /*
;  * start tv and graphics cogs
;  */
; static int tvstart(int pin)
; {
	.dbline 118
;     int n, dx, dy;
;     int cog;
;     TV_t* tp = &gTV;
	@FLDCNST	
	.long _gTV	
	mov R4,TEMP0	
	.dbline 119
;     tp->enable = 1;
	mov R15,#1	
	mov R14,R4	
	add R14,#4	
	wrlong R15,R14	
	.dbline 120
;     tp->pins   = TV_BASEBAND_PIN(pin); 
	mov R15,R6	
	and R15,#4	
	cmp R15,#4	WZ
IF_NE	add PC,#8	;Jump to L3
	mov R5,#5	
	add PC,#4	;Jump to L4
L3:
	mov R5,#0	
L4:
	mov R15,R6	
	and R15,#56	
	shl R15,#1	
	or R15,R5	
	mov R14,R4	
	add R14,#8	
	wrlong R15,R14	
	.dbline 121
;     tp->mode   = 0;
	mov R15,#0	
	mov R14,R4	
	add R14,#12	
	wrlong R15,R14	
	.dbline 122
;     tp->screen = (long) &gScreen[0];     
	@FLDCNST	
	.long _gScreen	
	mov R15,TEMP0	
	mov R14,R4	
	add R14,#16	
	wrlong R15,R14	
	.dbline 123
;     tp->colors = (long) &gColors[0];     
	@FLDCNST	
	.long _gColors	
	mov R15,TEMP0	
	mov R14,R4	
	add R14,#20	
	wrlong R15,R14	
	.dbline 124
;     tp->ht     = X_TILES;
	mov R15,#8	
	mov R14,R4	
	add R14,#24	
	wrlong R15,R14	
	.dbline 125
;     tp->vt     = Y_TILES;
	mov R15,#9	
	mov R14,R4	
	add R14,#28	
	wrlong R15,R14	
	.dbline 126
;     tp->hx     = X_EXPANSION;
	mov R15,#16	
	mov R14,R4	
	add R14,#32	
	wrlong R15,R14	
	.dbline 127
;     tp->vx     = 1;
	mov R15,#1	
	mov R14,R4	
	add R14,#36	
	wrlong R15,R14	
	.dbline 128
;     tp->ho     = 0;
	mov R15,#0	
	mov R14,R4	
	add R14,#40	
	wrlong R15,R14	
	.dbline 129
;     tp->vo     = 0;
	mov R15,#0	
	mov R14,R4	
	add R14,#44	
	wrlong R15,R14	
	.dbline 130
;     tp->broadcast = 0;
	mov R15,#0	
	mov R14,R4	
	add R14,#48	
	wrlong R15,R14	
	.dbline 131
;     tp->auralcog  = 0;
	mov R15,#0	
	mov R14,R4	
	add R14,#52	
	wrlong R15,R14	
	.dbline 133
; 
;     cog = TV_start(tp);
	mov R0,R4	
	@FCALL	
	.long _TV_start	
	mov R15,R0	
	mov R6,R0	
	.dbline 138
; 
;     //setColorPalette(&gPalette[0]);
; 
;     // init colors
;     for(n = 0; n < MAX_COLORS; n++)
	mov R7,#0	
L5:
	.dbline 139
;         gColors[n] = 0x1010 * ((n+4) & 0xF) + 0x2B060C02;
	mov R0,#4	
	mov R1,R7	
	@FMUL32	
	mov R15,R0	
	mov R14,R7	
	add R14,#4	
	and R14,#15	
	@FLDCNST	
	.long 4112	
	mov R0,TEMP0	
	mov R1,R14	
	@FMUL32	
	mov R14,R0	
	@FLDCNST	
	.long 721816578	
	mov R13,TEMP0	
	mov R14,R14	
	add R14,R13	
	@FLDCNST	
	.long _gColors	
	mov R13,TEMP0	
	mov R15,R15	
	add R15,R13	
	wrlong R14,R15	
L6:
	.dbline 138
	add R7,#1	
	.dbline 138
	cmps R7,#64	WC
IF_B	sub PC,#108	;Jump to L5
	.dbline 142
; 
;     // init tile screen
;     for (dx = 0; dx < tp->ht; dx++)
	mov R5,#0	
	add PC,#204	;Jump to L12
L9:
	.dbline 143
;         for (dy = 0; dy < tp->vt; dy++)
	mov R7,#0	
	add PC,#172	;Jump to L16
L13:
	.dbline 144
;             gScreen[dy * tp->ht + dx] = (DISPLY_BASE >> 6) + dy + dx * tp->vt + ((dy & 0x3F) << 10);
	mov R15,R4	
	add R15,#24	
	rdlong R15,R15	
	mov R0,R7	
	mov R1,R15	
	@FMUL32	
	mov R15,R0	
	add R15,R5	
	mov R0,#2	
	mov R1,R15	
	@FMUL32	
	mov R15,R0	
	mov R14,R4	
	add R14,#28	
	rdlong R14,R14	
	mov R0,R5	
	mov R1,R14	
	@FMUL32	
	mov R14,R0	
	@FLDCNST	
	.long -128	
	mov R13,TEMP0	
	@FLDCNST	
	.long _gDisplay	
	mov R12,TEMP0	
	add R12,#256	
	and R12,R13	
	mov R13,R12	
	sar R13,#6	
	add R13,R7	
	add R13,R14	
	mov R14,R7	
	and R14,#63	
	shl R14,#10	
	add R13,R14	
	mov R14,R13	
	@FLDCNST	
	.long _gScreen	
	mov R13,TEMP0	
	mov R15,R15	
	add R15,R13	
	wrword R14,R15	
L14:
	.dbline 143
	add R7,#1	
L16:
	.dbline 143
	mov R15,R4	
	add R15,#28	
	rdlong R15,R15	
	cmps R7,R15	WC
IF_B	sub PC,#192	;Jump to L13
L10:
	.dbline 142
	add R5,#1	
L12:
	.dbline 142
	mov R15,R4	
	add R15,#24	
	rdlong R15,R15	
	cmps R5,R15	WC
IF_B	sub PC,#224	;Jump to L9
	.dbline 146
; 
;     return cog;
	mov R0,R6	
	.dbline -2
L1:
	@FPOP	
	.long R15,R14,R13,R12,R7,R6,R5,R4,0	
	@FRET
	.dbline 0 ; func end
	.dbsym r cog 6 I
	.dbsym r n 7 I
	.dbsym r dx 5 I
	.dbsym r tp 4 pS[TV_struct]
	.dbsym r dy 7 I
	.dbsym r pin 6 I
	.dbend
	.dbfunc s grTest _grTest fV
;          delay -> R7
;              j -> R4
;              i -> R4
;           numx -> CRSP+0
;         mousey -> R7
;         mousex -> R8
;         numchr -> CRSP+1
;              t -> R6
;          limit -> R4
;              k -> R5
;              n -> R9
_grTest:
	@FENTER	
	.long R4,R5,R6,R7,R8,R9,R12,R13,R14,R15,0	
	sub CRSP,#2	
	sub HRSP,#16	
	.dbline -1
	.dbline 157
; }
; 
; 
; /*
;  * Graphics test function
;  */
; char gstr[100];
; #define MAXV 50
; 
; static void grTest()
; {
	.dbline 159
;     int n, numx, numchr;
;     int i = 1001;
	@FLDCNST	
	.long 1001	
	.dbline 160
;     int j = 123123;
	@FLDCNST	
	.long 123123	
	.dbline 161
;     int k = 8776434;
	@FLDCNST	
	.long 8776434	
	mov R5,TEMP0	
	.dbline 162
;     int t = 0;
	mov R6,#0	
	.dbline 163
;     int limit = Y_ORIGIN;
	mov R4,#72	
	.dbline 164
;     int delay = 1000000;
	@FLDCNST	
	.long 1000000	
	mov R7,TEMP0	
	.dbline 167
;     int mousex, mousey;
; 
;     DIRA |= 4;  // enable led out
	or 0x1f6,#4	
	.dbline 169
; 
;     srand(k);
	mov R0,R5	
	@FCALL	
	.long _srand	
	.dbline 170
;     for(n = 0; n < LINES; n++) {
	mov R9,#0	
L18:
	.dbline 170
	.dbline 171
;         xa[n]  = (rand() % 32) - 16;
	@FCALL	
	.long _rand	
	mov R1,#32	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	@FLDCNST	
	.long _xa	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R15,R15	
	sub R15,#16	
	wrbyte R15,R13	
	.dbline 172
;         ya[n]  = (rand() % 32) - 16;
	@FCALL	
	.long _rand	
	mov R1,#32	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	@FLDCNST	
	.long _ya	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R15,R15	
	sub R15,#16	
	wrbyte R15,R13	
	.dbline 173
;         xsa[n] = (rand() % 16) - 8;
	@FCALL	
	.long _rand	
	mov R1,#16	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	@FLDCNST	
	.long _xsa	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R15,R15	
	sub R15,#8	
	wrbyte R15,R13	
	.dbline 174
;         ysa[n] = (rand() % 16) - 8;
	@FCALL	
	.long _rand	
	mov R1,#16	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	@FLDCNST	
	.long _ysa	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R15,R15	
	sub R15,#8	
	wrbyte R15,R13	
	.dbline 175
;     }
L19:
	.dbline 170
	add R9,#1	
	.dbline 170
	cmps R9,#4	WC
IF_B	sub PC,#236	;Jump to L18
	rdlong PC,PC	
	.long L23	
L22:
	.dbline 178
; 
;     while(1)
;     {
	.dbline 180
;         //WAIT(delay);
;         Graph_clear();
	@FCALL	
	.long _Graph_clear	
	.dbline 182
; 
;         Graph_colorwidth(2,0);
	mov R0,#2	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 183
;         Graph_textmode(1,1,5,0);
	mov R0,#1	
	mov R1,#1	
	mov R2,#5	
	mov R3,#0	
	@FCALL	
	.long _Graph_textmode	
	.dbline 184
;         sprintf(gstr,"Base %X Display %X", BITMAP_BASE, DISPLY_BASE);
	@FLDCNST	
	.long _gstr	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FLDCNST	
	.long L25	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gBitmap	
	mov R14,TEMP0	
	add R14,#256	
	and R14,R15	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R14,TEMP5	
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gDisplay	
	mov R14,TEMP0	
	add R14,#256	
	and R14,R15	
	mov TEMP5,HRSP	
	add TEMP5,#12	
	wrlong R14,TEMP5	
	@FCALL	
	.long _sprintf	
	.dbline 185
;         Graph_text(-limit*2 + t++ % (limit*3), limit-15, gstr);
	neg R15,R4	
	mov R0,#2	
	mov R1,R15	
	@FMUL32	
	mov R15,R0	
	mov R14,R6	
	add R6,#1	
	mov R0,#3	
	mov R1,R4	
	@FMUL32	
	mov R13,R0	
	mov R1,R0	
	mov R0,R14	
	@FDIV32S	
	mov R14,R1	
	mov R15,R15	
	add R15,R14	
	mov R0,R15	
	mov R15,R4	
	sub R15,#15	
	mov R1,R15	
	@FLDCNST	
	.long _gstr	
	mov R2,TEMP0	
	@FCALL	
	.long _Graph_text	
	.dbline 187
; 
;         Graph_colorwidth(2,k>>3);
	mov R0,#2	
	mov R15,R5	
	sar R15,#3	
	mov R1,R15	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 188
;         if(!(k % 4)) {
	mov R0,R5	
	mov R1,#4	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	WZ
IF_NE	add PC,#104	;Jump to L26
	.dbline 188
	.dbline 189
;             mousex = rand()%(limit/4);
	@FCALL	
	.long _rand	
	mov R15,R0	
	mov R0,R4	
	mov R1,#4	
	@FDIV32S	
	mov R14,R0	
	mov R1,R0	
	mov R0,R15	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	mov R8,R1	
	.dbline 190
;             mousey = rand()%(limit/4);
	@FCALL	
	.long _rand	
	mov R15,R0	
	mov R0,R4	
	mov R1,#4	
	@FDIV32S	
	mov R14,R0	
	mov R1,R0	
	mov R0,R15	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	mov R7,R1	
	.dbline 191
;         }
L26:
	.dbline 192
;         Graph_pix(mousex, mousey, k>>4 & 0x7, pixdef);
	mov R0,R8	
	mov R1,R7	
	mov R15,R5	
	sar R15,#4	
	mov R2,R15	
	and R2,#7	
	@FLDCNST	
	.long _pixdef	
	mov R3,TEMP0	
	@FCALL	
	.long _Graph_pix	
	.dbline 195
; 
;         //draw spinning triangles
;         Graph_colorwidth(3,0);
	mov R0,#3	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 196
;         for(n = 1; n <= 8; n++)
	mov R9,#1	
L28:
	.dbline 197
;             Graph_vec(0, 0, ((k & 0x7F) << 3) + (n << 4), (k << 6) + (n << 8), vecdef);
	mov R0,#0	
	mov R1,#0	
	mov R15,R9	
	shl R15,#4	
	mov R14,R5	
	and R14,#127	
	shl R14,#3	
	mov R2,R14	
	add R2,R15	
	mov R15,R9	
	shl R15,#8	
	mov R14,R5	
	shl R14,#6	
	mov R3,R14	
	add R3,R15	
	@FLDCNST	
	.long _vecdef	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FCALL	
	.long _Graph_vec	
L29:
	.dbline 196
	add R9,#1	
	.dbline 196
	cmps R9,#8	WZ WC
IF_BE	sub PC,#100	;Jump to L28
	.dbline 200
; 
;         // init bouncing lines ... not even close to graphics.spin elegance
;         if (!(k % 4)) {
	mov R0,R5	
	mov R1,#4	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	WZ
IF_NE	rdlong PC,PC	
	.long L32	
	.dbline 200
	.dbline 201
;             for(n = 0; n < LINES; n++) {
	mov R9,#0	
L34:
	.dbline 201
	.dbline 202
;                 if(rand()%100 > 80)
	@FCALL	
	.long _rand	
	mov R1,#100	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	cmps R15,#80	WZ WC
IF_BE	add PC,#40	;Jump to L38
	.dbline 203
;                     xsa[n] = -xsa[n];
	@FLDCNST	
	.long _xsa	
	mov R15,TEMP0	
	mov R14,R9	
	add R14,R15	
	mov R14,R14	
	rdbyte R15,R14	
	and R15,MASKFF	
	neg R15,R15	
	wrbyte R15,R14	
L38:
	.dbline 204
;                 if(rand()%100 > 80)
	@FCALL	
	.long _rand	
	mov R1,#100	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	cmps R15,#80	WZ WC
IF_BE	add PC,#40	;Jump to L40
	.dbline 205
;                     ysa[n] = -ysa[n];
	@FLDCNST	
	.long _ysa	
	mov R15,TEMP0	
	mov R14,R9	
	add R14,R15	
	mov R14,R14	
	rdbyte R15,R14	
	and R15,MASKFF	
	neg R15,R15	
	wrbyte R15,R14	
L40:
	.dbline 206
;                 xa[n] += xsa[n] % 10;
	@FLDCNST	
	.long _xsa	
	mov R15,TEMP0	
	mov R14,R9	
	add R14,R15	
	rdbyte R0,R14	
	and R0,MASKFF	
	mov R1,#10	
	@FDIV32S	
	mov R15,R1	
	@FLDCNST	
	.long _xa	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R13,R13	
	rdbyte R14,R13	
	and R14,MASKFF	
	add R14,R15	
	mov R15,R14	
	wrbyte R15,R13	
	.dbline 207
;                 ya[n] += ysa[n] % 10;
	@FLDCNST	
	.long _ysa	
	mov R15,TEMP0	
	mov R14,R9	
	add R14,R15	
	rdbyte R0,R14	
	and R0,MASKFF	
	mov R1,#10	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	
	@FLDCNST	
	.long _ya	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	mov R13,R13	
	rdbyte R14,R13	
	and R14,MASKFF	
	add R14,R15	
	mov R15,R14	
	wrbyte R15,R13	
	.dbline 208
;             }
L35:
	.dbline 201
	add R9,#1	
	.dbline 201
	cmps R9,#4	WC
IF_B	rdlong PC,PC	
	.long L34	
	.dbline 209
;         }
L32:
	.dbline 211
;         
;         Graph_colorwidth(1,THICKNESS);
	mov R0,#1	
	mov R1,#2	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 212
;         Graph_plot((xa[0]%MAXV)-(MAXV>>1), (ya[0]%MAXV)-(MAXV>>1));
	@FLOADB	
	.long _xa	
	.long R15	
	mov R0,R15	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R15,R1	
	@FLOADB	
	.long _ya	
	.long R14	
	mov R0,R14	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R14,R1	
	mov R15,R15	
	sub R15,#25	
	mov R0,R15	
	mov R15,R14	
	sub R15,#25	
	mov R1,R15	
	@FCALL	
	.long _Graph_plot	
	.dbline 213
;         for(n = 1; n < LINES; n++)
	mov R9,#1	
L42:
	.dbline 214
;             Graph_line((xa[n]%MAXV)-(MAXV>>1),(ya[n]%MAXV)-(MAXV>>1));
	@FLDCNST	
	.long _xa	
	mov R15,TEMP0	
	mov R14,R9	
	add R14,R15	
	rdbyte R0,R14	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R15,R1	
	@FLDCNST	
	.long _ya	
	mov R14,TEMP0	
	mov R13,R9	
	add R13,R14	
	rdbyte R0,R13	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R14,R1	
	mov R15,R15	
	sub R15,#25	
	mov R0,R15	
	mov R15,R14	
	sub R15,#25	
	mov R1,R15	
	@FCALL	
	.long _Graph_line	
L43:
	.dbline 213
	add R9,#1	
	.dbline 213
	cmps R9,#4	WC
IF_B	sub PC,#124	;Jump to L42
	.dbline 215
;         Graph_line((xa[0]%MAXV)-(MAXV>>1), (ya[0]%MAXV)-(MAXV>>1));
	@FLOADB	
	.long _xa	
	.long R15	
	mov R0,R15	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R15,R1	
	@FLOADB	
	.long _ya	
	.long R14	
	mov R0,R14	
	and R0,MASKFF	
	mov R1,#50	
	@FDIV32S	
	mov R14,R1	
	mov R15,R15	
	sub R15,#25	
	mov R0,R15	
	mov R15,R14	
	sub R15,#25	
	mov R1,R15	
	@FCALL	
	.long _Graph_line	
	.dbline 218
; 
;         //draw small box with text
;         Graph_colorwidth(1,14);
	mov R0,#1	
	mov R1,#14	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 219
;         Graph_box(6,-limit+3,53,20);
	mov R0,#6	
	neg R15,R4	
	mov R1,R15	
	add R1,#3	
	mov R2,#53	
	mov R3,#20	
	@FCALL	
	.long _Graph_box	
	.dbline 220
;         Graph_colorwidth(2,0);
	mov R0,#2	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 221
;         Graph_textmode(1,1,5,0);
	mov R0,#1	
	mov R1,#1	
	mov R2,#5	
	mov R3,#0	
	@FCALL	
	.long _Graph_textmode	
	.dbline 222
;         Graph_text(10,-limit+5,"Propeller");
	mov R0,#10	
	neg R15,R4	
	add R15,#5	
	mov R1,R15	
	@FLDCNST	
	.long L46	
	mov R2,TEMP0	
	@FCALL	
	.long _Graph_text	
	.dbline 225
; 
;         // draw axis
;         Graph_colorwidth(2,0);
	mov R0,#2	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 226
;         Graph_plot(0, 0);
	mov R0,#0	
	mov R1,#0	
	@FCALL	
	.long _Graph_plot	
	.dbline 227
;         Graph_line(0, limit);
	mov R0,#0	
	mov R1,R4	
	@FCALL	
	.long _Graph_line	
	.dbline 228
;         Graph_plot(0, 0);
	mov R0,#0	
	mov R1,#0	
	@FCALL	
	.long _Graph_plot	
	.dbline 229
;         Graph_line(limit, 0);
	mov R0,R4	
	mov R1,#0	
	@FCALL	
	.long _Graph_line	
	.dbline 231
; 
;         Graph_plot(-limit, 0);
	neg R15,R4	
	mov R0,R15	
	mov R1,#0	
	@FCALL	
	.long _Graph_plot	
	.dbline 232
;         Graph_line(limit, 0);
	mov R0,R4	
	mov R1,#0	
	@FCALL	
	.long _Graph_line	
	.dbline 233
;         Graph_plot(0, -limit);
	mov R0,#0	
	neg R15,R4	
	mov R1,R15	
	@FCALL	
	.long _Graph_plot	
	.dbline 234
;         Graph_line(0, limit);
	mov R0,#0	
	mov R1,R4	
	@FCALL	
	.long _Graph_line	
	.dbline 236
; 
;         Graph_colorwidth(4,0);
	mov R0,#4	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 237
;         Graph_pix(-limit + k%(limit*2), 2 + k%2, 0, pixdef2);
	mov R0,#2	
	mov R1,R4	
	@FMUL32	
	mov R1,R0	
	mov R0,R5	
	@FDIV32S	
	mov R15,R1	
	mov R0,R5	
	mov R1,#2	
	@FDIV32S	
	mov R14,R1	
	neg R13,R4	
	add R13,R15	
	mov R0,R13	
	mov R15,R14	
	add R15,#2	
	mov R1,R15	
	mov R2,#0	
	@FLDCNST	
	.long _pixdef2	
	mov R3,TEMP0	
	@FCALL	
	.long _Graph_pix	
	.dbline 240
; 
;         //draw spinning stars and revolving crosshairs and dogs
;         Graph_colorwidth(2,0);
	mov R0,#2	
	mov R1,#0	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 241
;         for(n = 0; n < 8; n++) {
	mov R9,#0	
L47:
	.dbline 241
	.dbline 242
;             Graph_vecarc(limit/2, limit/2, 20, 20, -((n << 10) + (k << 6)), 0x40, -(k<<7), vecdef2);
	mov R0,R4	
	mov R1,#2	
	@FDIV32S	
	mov R1,R0	
	mov R2,#20	
	mov R3,#20	
	mov R15,R5	
	shl R15,#6	
	mov R14,R9	
	shl R14,#10	
	add R14,R15	
	neg R15,R14	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov R15,#64	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	mov R15,R5	
	shl R15,#7	
	neg R15,R15	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	@FLDCNST	
	.long _vecdef2	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	add TEMP5,#12	
	wrlong R15,TEMP5	
	@FCALL	
	.long _Graph_vecarc	
	.dbline 243
;             Graph_pixarc(-limit/2, -limit/2, 20, 20,  (n << 10) + (k << 6), k<<4, pixdef2);
	neg R0,R4	
	mov R1,#2	
	@FDIV32S	
	mov R1,R0	
	mov R2,#20	
	mov R3,#20	
	mov R15,R5	
	shl R15,#6	
	mov R14,R9	
	shl R14,#10	
	add R14,R15	
	mov TEMP5,HRSP	
	wrlong R14,HRSP	
	mov R15,R5	
	shl R15,#4	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	@FLDCNST	
	.long _pixdef2	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	@FCALL	
	.long _Graph_pixarc	
	.dbline 244
;             Graph_pixarc(-limit/2, -limit/2, 10, 10, -((n << 10) + (k << 6)), k<<4, pixdef);
	neg R0,R4	
	mov R1,#2	
	@FDIV32S	
	mov R1,R0	
	mov R2,#10	
	mov R3,#10	
	mov R15,R5	
	shl R15,#6	
	mov R14,R9	
	shl R14,#10	
	add R14,R15	
	neg R15,R14	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov R15,R5	
	shl R15,#4	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	@FLDCNST	
	.long _pixdef	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	@FCALL	
	.long _Graph_pixarc	
	.dbline 245
;         }
L48:
	.dbline 241
	add R9,#1	
	.dbline 241
	cmps R9,#8	WC
IF_B	rdlong PC,PC	
	.long L47	
	.dbline 248
; 
;         // draw expanding pixel halo
;         Graph_colorwidth(1,k);
	mov R0,#1	
	mov R1,R5	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 249
;         Graph_arc(0,0,limit,20,-k<<5,0x2000/9,9,0);
	mov R0,#0	
	mov R1,#0	
	mov R2,R4	
	mov R3,#20	
	neg R15,R5	
	shl R15,#5	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FLDCNST	
	.long 910	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R15,TEMP5	
	mov R15,#9	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	mov R15,#0	
	mov TEMP5,HRSP	
	add TEMP5,#12	
	wrlong R15,TEMP5	
	@FCALL	
	.long _Graph_arc	
	.dbline 252
; 
;         // draw incrementing digit
;         if((++numx % 7) == 0)
	mov TEMP0,#0	
	@FLDCSTK	
	mov TEMP3,TEMP0	
	mov R15,TEMP0	
	add R15,#1	
	mov R15,R15	
	mov TEMP0,R15	
	mov TEMP1,#0	
	@FSTCSTK	
	mov R0,R15	
	mov R1,#7	
	@FDIV32S	
	mov R0,R1	
	mov R15,R1	WZ
IF_NE	add PC,#24	;Jump to L51
	.dbline 253
;             numchr++;
	mov TEMP0,#1	
	@FLDCSTK	
	mov TEMP2,TEMP0	
	add TEMP0,#1	
	mov TEMP1,#1	
	@FSTCSTK	
L51:
	.dbline 254
;         if(numchr < '0' || numchr > '9')
	mov TEMP0,#1	
	@FLDCSTK	
	mov TEMP2,TEMP0	
	cmps TEMP2,#48	WC
IF_B	add PC,#20	;Jump to L55
	mov TEMP0,#1	
	@FLDCSTK	
	mov TEMP2,TEMP0	
	cmps TEMP2,#57	WZ WC
IF_BE	add PC,#12	;Jump to L53
L55:
	.dbline 255
;             numchr = '0';
	mov TEMP0,#48	
	mov TEMP1,#1	
	@FSTCSTK	
L53:
	.dbline 257
;         //Graph_textmode(8,8,6,5);
;         Graph_textmode(3,3,5,0);
	mov R0,#3	
	mov R1,#3	
	mov R2,#5	
	mov R3,#0	
	@FCALL	
	.long _Graph_textmode	
	.dbline 258
;         Graph_colorwidth(1,20);
	mov R0,#1	
	mov R1,#20	
	@FCALL	
	.long _Graph_colorwidth	
	.dbline 259
;         Graph_char(-limit+5 + t % (limit*2), t*t % (limit/3) - limit/2, numchr);
	mov R0,#2	
	mov R1,R4	
	@FMUL32	
	mov R1,R0	
	mov R0,R6	
	@FDIV32S	
	mov R15,R1	
	mov R0,R6	
	mov R1,R6	
	@FMUL32	
	mov R14,R0	
	mov R0,R4	
	mov R1,#3	
	@FDIV32S	
	mov R1,R0	
	mov R0,R14	
	@FDIV32S	
	mov R14,R1	
	mov R0,R4	
	mov R1,#2	
	@FDIV32S	
	mov R13,R0	
	neg R12,R4	
	add R12,#5	
	add R12,R15	
	mov R0,R12	
	mov R15,R14	
	sub R15,R13	
	mov R1,R15	
	mov TEMP0,#1	
	@FLDCSTK	
	mov TEMP3,TEMP0	
	mov R2,TEMP0	
	and R2,MASKFF	
	@FCALL	
	.long _Graph_char	
	.dbline 262
; 
;         // copy bitmap to display
;         if(BITMAP_BASE != DISPLY_BASE)
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gDisplay	
	mov R14,TEMP0	
	add R14,#256	
	and R14,R15	
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gBitmap	
	mov R13,TEMP0	
	add R13,#256	
	and R13,R15	
	cmp R13,R14	WZ
IF_E	add PC,#44	;Jump to L56
	.dbline 263
;             Graph_copy(DISPLY_BASE);
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gDisplay	
	mov R14,TEMP0	
	add R14,#256	
	and R14,R15	
	mov R0,R14	
	@FCALL	
	.long _Graph_copy	
L56:
	.dbline 265
;         
;         k++;
	add R5,#1	
	.dbline 266
;     }
L23:
	.dbline 177
	rdlong PC,PC	
	.long L22	
L58:
	.dbline 269
; 
;     while(1)
;         ;
L59:
	.dbline 268
	sub PC,#4	;Jump to L58
X0:
	.dbline -2
L17:
	add HRSP,#16	
	add CRSP,#2	
	@FPOP	
	.long R15,R14,R13,R12,R9,R8,R7,R6,R5,R4,0	
	@FRET
	.dbline 0 ; func end
	.dbsym r delay 7 I
	.dbsym r j 4 I
	.dbsym r i 4 I
	.dbsym l numx 0 I
	.dbsym r mousey 7 I
	.dbsym r mousex 8 I
	.dbsym l numchr 1 I
	.dbsym r t 6 I
	.dbsym r limit 4 I
	.dbsym r k 5 I
	.dbsym r n 9 I
	.dbend
	.dbfunc s Start _Start fV
_Start:
	@FENTER	
	.long R14,R15,0	
	sub HRSP,#4	
	.dbline -1
	.dbline 299
; }
; 
; //#include <asio.h>
; 
; #ifdef __ASIO_H__
; static void Start()
; {
;     int tvcog;
;     int grcog;
; 
;     asio_init(57600);
;     msleep(500);
;     printf("\r\nStarting Graphics Test\r\n");
; 
;     // start tv and graphics drivers
;     printf("\r\nStarting TV ... ");
;     tvcog = tvstart(12);
;     printf("using COG %d",tvcog);
; 
;     printf("\r\nStarting Graphics ... ");
;     grcog = Graph_start();
;     printf("using COG %d",grcog);
; 
;     printf("\r\nGraphics setup ... 0x%x", BITMAP_BASE);
;     Graph_setup(X_TILES, Y_TILES, X_ORIGIN, X_ORIGIN, BITMAP_BASE);
;     printf("\r\nReady!\r\n");
; }
; #else
; static void Start()
; {
	.dbline 300
;     tvstart(12);
	mov R0,#12	
	@FCALL	
	.long _tvstart	
	.dbline 301
;     Graph_start();
	@FCALL	
	.long _Graph_start	
	.dbline 302
;     Graph_setup(X_TILES, Y_TILES, X_ORIGIN, Y_ORIGIN, BITMAP_BASE);
	mov R0,#8	
	mov R1,#9	
	mov R2,#64	
	mov R3,#72	
	@FLDCNST	
	.long -128	
	mov R15,TEMP0	
	@FLDCNST	
	.long _gBitmap	
	mov R14,TEMP0	
	add R14,#256	
	and R14,R15	
	mov R15,R14	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	@FCALL	
	.long _Graph_setup	
	.dbline -2
L61:
	add HRSP,#4	
	@FPOP	
	.long R15,R14,0	
	@FRET
	.dbline 0 ; func end
	.dbend
	.dbfunc e main _main fV
_main::
	.dbline -1
	.dbline 309
; }
; #endif
; /**
;  * graphics test main entry point
;  */
; void main(void)
; {
	.dbline 310
;     Start();
	@FCALL	
	.long _Start	
	.dbline 311
;     grTest();
	@FCALL	
	.long _grTest	
	@FCACHE	
L63:
	.dbline 313
; 
;     while(1);
L64:
	.dbline 313
	jmp #L63	
	@FNEXT	
X1:
	.dbline -2
L62:
	@FRET
	.dbline 0 ; func end
	.dbend
	.area bss(ram,rel)
	.dbfile C:\DOCUME~1\Steve\MYDOCU~1\_Propeller_OBEX_\Graphics\GraphicsTest.c
_gstr::
	.blkb 100
	.dbsym e gstr _gstr A[100:100]c
_ysa::
	.blkb 4
	.dbsym e ysa _ysa A[4:4]c
_xsa::
	.blkb 4
	.dbsym e xsa _xsa A[4:4]c
_ya::
	.blkb 4
	.dbsym e ya _ya A[4:4]c
_xa::
	.blkb 4
	.dbsym e xa _xa A[4:4]c
	.align	4
_gBitmap::
	.blkb 5120
	.dbsym e gBitmap _gBitmap A[5120:1280]L
	.align	4
_gDisplay::
	.blkb 5120
	.dbsym e gDisplay _gDisplay A[5120:1280]L
	.align	4
_gColors::
	.blkb 256
	.dbsym e gColors _gColors A[256:64]L
	.align	2
_gScreen::
	.blkb 144
	.dbsym e gScreen _gScreen A[144:72]S
	.align	4
_gTV::
	.blkb 56
	.dbsym e gTV _gTV S[TV_struct]
	.area lit(rom,rel)
L46:
	.byte 'P,'r,'o,'p,'e,'l,'l,'e,'r,0
L25:
	.byte 'B,'a,'s,'e,32,37,'X,32,'D,'i,'s,'p,'l,'a,'y,32
	.byte 37,'X,0
